%define name vnstatgui
%define version 1.0
%define release %mkrel 1

Summary:	vnStatGUI - frontend for vnstat
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Kernel and hardware
URL:		http://sourceforge.net/projects/vnstatsvg/files/
Source0:	http://sourceforge.net/projects/vnstatsvg/files/%{name}.tar.gz
Patch:          %{name}.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires: firefox
Requires: vnstat >= 1.8
Obsoletes: %name < %version

%description
vnStatGUI - frontend for vnstat network traffic monitor that uses the
network interface statistics provided by the kernel as information source.
This means that vnStat won't actually be sniffing any traffic and also
ensures light use of system resources. 

%prep

%setup -q -n %{name}
%patch -p1

%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -a vnstatgui.sh $RPM_BUILD_ROOT%{_bindir}/vnstatgui
chmod +x $RPM_BUILD_ROOT%{_bindir}/vnstatgui
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
cp -a vnstat.xsl $RPM_BUILD_ROOT%{_sysconfdir}


# menu
%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=vnStatGUI
Comment=Frontend for vnstat network traffic monitor
Exec=%{name}
Icon=monitoring_section.png
Terminal=false
Type=Application
Categories=System;Monitor;X-MandrivaLinux-System-Monitoring;
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}


%files
%defattr(-,root,root,-)
%{_sysconfdir}/vnstat.xsl
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop

%changelog
* Thu Aug 13 2009 slick50 <lxgator@gmail.com> 1.0-1pclos2009
- initial build
